## juju-core 2.0~rc3

=== src/github.com/juju/juju/Makefile ===
#
# Makefile for juju-core.
#

ifndef GOPATH
$(warning You need to set up a GOPATH.  See the README file.)
endif

PROJECT := github.com/juju/juju
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf|aarch64|ppc64le|s390x).*/golang/'), golang)
	GO_C := golang-1.[6-9]
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9  gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  ca-certificates
  bzip2
  bzr
  distro-info-data
  git-core
  mercurial
  zip
  $(GO_C)
endef

default: build

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

ifeq ($(JUJU_MAKE_GODEPS),true)
$(GOPATH)/bin/godeps:
	go get github.com/rogpeppe/godeps

godeps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv
else
godeps:
	@echo "skipping godeps"
endif

build: godeps
	go build $(PROJECT)/...

check: godeps
	go test -test.timeout=1200s $(PROJECT)/...

install: godeps
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else # --------------------------------

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Install packages required to develop Juju and run tests. The stable
# PPA includes the required mongodb-server binaries.
install-dependencies:
ifeq ($(shell lsb_release -cs|sed -r 's/precise|wily/old/'),old)
	@echo Adding juju PPAs for golang and mongodb-server
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
endif
	@echo Installing dependencies
	@sudo apt-get --yes install --no-install-recommends \
	$(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb3.2 juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)

# Install bash_completion
install-etc:
	@echo Installing bash completion
	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju2 /etc/bash_completion.d

setup-lxd:
ifeq ($(shell ifconfig lxdbr0 2>&1 | grep -q "inet addr" && echo true),true)
	@echo IPv4 networking is already setup for LXD.
	@echo run "sudo scripts/setup-lxd.sh" to reconfigure IPv4 networking
else
	@echo Setting up IPv4 networking for LXD
	@sudo scripts/setup-lxd.sh || true
endif


GOCHECK_COUNT="$(shell go list -f '{{join .Deps "\n"}}' github.com/juju/juju/... | grep -c "gopkg.in/check.v*")"
check-deps:
	@echo "$(GOCHECK_COUNT) instances of gocheck not in test code"

.PHONY: build check install
.PHONY: clean format simplify
.PHONY: install-dependencies
.PHONY: check-deps

=== debian/changelog ===
juju-core (2.0~rc3-0ubuntu4.16.10.1) yakkety-proposed; urgency=medium

  * Also pass no_proxy to bootstrap

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Tue, 11 Oct 2016 11:10:06 -0400

juju-core (2.0~rc3-0ubuntu3.16.10.1) yakkety-proposed; urgency=medium

  * Fix lxd-provider test to utilize *_proxy settings and provide additional info

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Tue, 11 Oct 2016 08:09:25 -0400

juju-core (2.0~rc3-0ubuntu1.16.10.1) yakkety-proposed; urgency=medium

  * New upstream release 2.0-rc3
  * d/copyright Updated for 2.0-rc3 vendored packages.
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3+ network configuration in
    tests.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 06 Oct 2016 18:23:09 +0000

juju-core (2.0~rc2-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-rc2 (LP: #1617433)
  * Update autopkgtests
  * Drop 32-bit builds
  * Update debian/copyrights
  * Disable future manual provider test (LP: #1629376)
  * Remove golang-golang-x-[crypto,net]-dev dependencies temporarily (LP: #1629412)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 30 Sep 2016 11:23:27 -0400

juju-core (2.0~beta18-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta18
  * Update debian/copyright
  * Update autopkgtest tests to drop --upload-tools

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 15 Sep 2016 11:20:31 -0400

juju-core (2.0~beta17-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta17

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 01 Sep 2016 13:08:58 -0400

juju-core (2.0~beta16-0ubuntu1.16.10.1) yakkety; urgency=medium
  * New upstream release 2.0-beta16
  * Remove all quilt patches
  * Ensure autopkgtests run on LXD upload (LP: #1614724)
  * Update debian/copyrights
  * Fix juju LXD provider for LXD 2.1 (LP: #1614559)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 26 Aug 2016 15:24:39 -0400

juju-core (2.0~beta15-0ubuntu5.16.10.1) yakkety; urgency=medium

  * Really restore all architectures for building

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 19 Aug 2016 12:14:05 -0400

juju-core (2.0~beta15-0ubuntu4.16.10.1) yakkety; urgency=medium

  * Restore all arches to building
  * Apply patch for powerpc build 

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 19 Aug 2016 10:19:18 -0400

juju-core (2.0~beta15-0ubuntu3.16.10.1) yakkety; urgency=medium

  * Re-add jujud to package (LP: #1608538)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 18 Aug 2016 09:37:59 -0400

juju-core (2.0~beta15-0ubuntu2.16.10.1) yakkety; urgency=medium

  * Restrict architectures to 64-bit only

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 17 Aug 2016 15:55:47 -0400

juju-core (2.0~beta15-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta15 (LP: #1613718)
  * Update debian/copyright
  * Re-enable current-manual-provider test
  * Remove jujud from package
  * Remove golang-juju-loggo-dev dependency temporarily (LP: #1612713)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 12 Aug 2016 10:08:34 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.3) yakkety; urgency=medium

  * Add skip to current-manual-provider for bug 1605313 and bug 1605050

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 21 Jul 2016 15:12:52 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.2) yakkety; urgency=medium

  * Fix adt test for manual-provider

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 20 Jul 2016 09:19:42 -0400

juju-core (2.0~beta12-0ubuntu1.16.10.1) yakkety; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta12 (LP: #1604137).
  * Update debian/copyright.

  [ Martin Packman ]
  * Allow stripping of go binaries (LP: #1564662).
  * Mark juju-2.0 as conflicting and replacing old ppas (LP: #1600257).
  * Adjust where bash completion script is installed (LP: #1588403).

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 18 Jul 2016 14:00:19 -0400

juju-core (2.0~beta10-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta10 (LP: #1596920).
  * Update debian/copyright for licence changes.
  * Depend on golang-go >1.6 on all architectures.
  * Drop golang-github-lxc-lxd-dev dependency temporarily as a post-1.0 version
    is required but not yet released in the archive.
  * Drop golang-gopkg-lxc-go-lxc.v2-dev dependency as old lxc support is gone.
  * Update name of controller in lxd test.

 -- Martin Packman <martin.packman@canonical.com>  Tue, 28 Jun 2016 11:16:58 +0000

juju-core (2.0~beta7-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta7 (LP: #1581645)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 13 May 2016 15:22:03 -0400

juju-core (2.0~beta6-0ubuntu2.16.10.1) yakkety; urgency=medium

  [ Martin Packman ]
  * Avoid autopkgtest failures from lack of support for 32-bit state servers.

  [ Michael Hudson-Doyle ]
  * New script for build setup to fit better with dh-golang expectations.

 -- Martin Packman <martin.packman@canonical.com>  Mon, 09 May 2016 16:38:25 +0000

juju-core (2.0~beta6-0ubuntu1) xenial; urgency=medium

  * New upstream release 2.0-beta6 (LP: #1573176).
  * Includes fixes for upstream bugs:
    - juju loses agents during a lxd deploy.
    - 'failed to ensure LXD image' creating LXD container.

 -- Martin Packman <martin.packman@canonical.com>  Tue, 26 Apr 2016 01:27:27 +0000

juju-core (2.0~beta5-0ubuntu1) xenial; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta5
  * Fixes "Manpage still refers to 1.X config for 2.0" (LP: #1570654).
  * Update d/control, juju-2.0 conflicts with juju2
  * Update d/copyright, drop joyent gomanta copyright

  [ Martin Pitt ]
  * Drop MTU workaround now included in infrastructure.

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 20 Apr 2016 13:25:04 -0400

=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               distro-info,
               golang-check.v1-dev,
               golang-github-bmizerany-pat-dev,
               golang-go (>= 2:1.6),
               golang-go-dbus-dev,
               golang-gopkg-tomb.v2-dev,
               golang-websocket-dev,
               golang-yaml.v2-dev,
               lsb-release,
               python
Standards-Version: 3.9.7
Homepage: http://launchpad.net/juju-core
Xs-Go-Import-Path: github.com/juju/juju
Testsuite: autopkgtest

Package: juju-2.0
Architecture: amd64 arm64 ppc64el s390x
Depends: distro-info, lxd, ${misc:Depends}, ${shlibs:Depends}
Recommends: bash-completion
Breaks: juju-core (<= 1.25.4)
Conflicts: juju2, juju-core2
Replaces: juju2, juju-core2
Built-Using: ${misc:Built-Using}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: amd64 arm64 ppc64el s390x
Depends: juju-2.0 (>= ${source:Version}), ${misc:Depends}
Suggests: juju-core
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.

## juju-core 2.0.2

=== src/github.com/gosuri/uitable/Makefile ===
test:
	@go test ./...

.PHONY: test

=== src/github.com/juju/bundlechanges/Makefile ===
# Makefile for the bundlechanges library.

PROJECT := github.com/juju/bundlechanges
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(x86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9 gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  build-essential
  bzr
  git
  $(GO_C)
endef

default: build

$(GOPATH)/bin/godeps:
	go get -v launchpad.net/godeps

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Update the project Go dependencies to the required revision.
deps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv

# Generate the dependencies file.
create-deps: $(GOPATH)/bin/godeps
	godeps -t $(shell go list $(PROJECT)/...) > dependencies.tsv || true

# Install packages required to develop the bundlechanges lib and run tests.
APT_BASED := $(shell command -v apt-get >/dev/null; echo $$?)
sysdeps:
ifeq ($(APT_BASED),0)
ifeq ($(shell lsb_release -cs|sed -r 's/precise|quantal|raring/old/'),old)
	@echo Adding PPAs for golang and mongodb
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
endif
	@echo Installing dependencies
	sudo apt-get update
	@sudo apt-get --yes install $(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
else
	@echo sysdeps runs only on systems with apt-get
	@echo on OS X with homebrew try: brew install bazaar mongodb
endif

help:
	@echo -e 'Juju Bundle Changes - list of make targets:\n'
	@echo 'make - Build the package.'
	@echo 'make check - Run tests.'
	@echo 'make install - Install the package.'
	@echo 'make clean - Remove object files from package source directories.'
	@echo 'make sysdeps - Install the development environment system packages.'
	@echo 'make deps - Set up the project Go dependencies.'
	@echo 'make create-deps - Generate the Go dependencies file.'
	@echo 'make format - Format the source files.'

.PHONY: build check clean format help install sysdeps

=== src/github.com/juju/juju/Makefile ===
--- 
+++ 
@@ -99,7 +99,8 @@
 # Install bash_completion
 install-etc:
 	@echo Installing bash completion
-	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju2 /etc/bash_completion.d
+	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-2.0 /usr/share/bash-completion/completions
+	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-version /usr/share/bash-completion/completions
 
 setup-lxd:
 ifeq ($(shell ifconfig lxdbr0 2>&1 | grep -q "inet addr" && echo true),true)

=== src/github.com/juju/mutex/Makefile ===
default: check

check:
	go test

docs:
	godoc2md github.com/juju/mutex > README.md
	sed -i 's|\[godoc-link-here\]|[![GoDoc](https://godoc.org/github.com/juju/mutex?status.svg)](https://godoc.org/github.com/juju/mutex)|' README.md 


.PHONY: default check docs

=== src/github.com/juju/terms-client/Makefile ===
# Copyright 2016 Canonical Ltd.
# Licensed under the GPLv3, see LICENCE file for details.
#
PROJECT := github.com/juju/terms-client

ifndef GOBIN
GOBIN := $(shell mkdir -p $(GOPATH)/bin; realpath $(GOPATH))/bin
else
REAL_GOBIN := $(shell mkdir -p $(GOBIN); realpath $(GOBIN))
GOBIN := $(REAL_GOBIN)
endif

godeps: $(GOBIN)/godeps
	GOBIN=$(GOBIN) $(GOBIN)/godeps -u dependencies.tsv

$(GOBIN)/godeps: $(GOBIN)
	GOBIN=$(GOBIN) go get github.com/rogpeppe/godeps

ifeq ($(MAKE_GODEPS),true)
.PHONY: deps
deps: godeps
else
deps:
	@echo "Skipping godeps. export MAKE_GODEPS = true to enable."
endif

build: deps
	GOBIN=$(GOBIN) go build -a $(PROJECT)/...

install: deps
	GOBIN=$(GOBIN) go install -v $(PROJECT)/...

check: build
	GOBIN=$(GOBIN) go test -test.timeout=1200s $(PROJECT)/...

land: check race

race: build
	GOBIN=$(GOBIN) go test -test.timeout=1200s -race $(PROJECT)/...

.PHONY: build check install clean race land

=== src/github.com/lxc/lxd/Makefile ===
DOMAIN=lxd
POFILES=$(wildcard po/*.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
POTFILE=po/$(DOMAIN).pot

# dist is primarily for use when packaging; for development we still manage
# dependencies via `go get` explicitly.
# TODO: use git describe for versioning
VERSION=$(shell grep "var Version" shared/flex.go | cut -d'"' -f2)
ARCHIVE=lxd-$(VERSION).tar

.PHONY: default
default:
	# Must a few times due to go get race
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	go install -v $(DEBUG) ./...
	@echo "LXD built successfully"

.PHONY: client
client:
	# Must a few times due to go get race
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	-go get -t -v -d ./...
	go install -v $(DEBUG) ./lxc
	@echo "LXD client built successfully"

.PHONY: update
update:
	# Must a few times due to go get race
	-go get -t -v -d -u ./...
	-go get -t -v -d -u ./...
	go get -t -v -d -u ./...
	@echo "Dependencies updated"

# This only needs to be done when migrate.proto is actually changed; since we
# commit the .pb.go in the tree and it's not expected to change very often,
# it's not a default build step.
.PHONY: protobuf
protobuf:
	protoc --go_out=. ./lxd/migrate.proto

.PHONY: check
check: default
	go get -v -x github.com/rogpeppe/godeps
	go get -v -x github.com/remyoudompheng/go-misc/deadcode
	go test -v ./...
	cd test && ./main.sh

gccgo:
	go build -compiler gccgo ./...
	@echo "LXD built successfully with gccgo"

.PHONY: dist
dist:
	$(eval TMP := $(shell mktemp -d))
	rm -Rf lxd-$(VERSION) $(ARCHIVE) $(ARCHIVE).gz
	mkdir -p lxd-$(VERSION)/
	-GOPATH=$(TMP) go get -t -v -d ./...
	-GOPATH=$(TMP) go get -t -v -d ./...
	-GOPATH=$(TMP) go get -t -v -d ./...
	GOPATH=$(TMP) go get -t -v -d ./...
	rm -rf $(TMP)/src/github.com/lxc/lxd
	ln -s ../../../.. $(TMP)/src/github.com/lxc/lxd
	mv $(TMP)/ lxd-$(VERSION)/dist
	git archive --prefix=lxd-$(VERSION)/ --output=$(ARCHIVE) HEAD
	tar -uf $(ARCHIVE) --exclude-vcs lxd-$(VERSION)/
	gzip -9 $(ARCHIVE)
	rm -Rf lxd-$(VERSION) $(ARCHIVE)

.PHONY: i18n update-po update-pot build-mo static-analysis
i18n: update-pot

po/%.mo: po/%.po
	msgfmt --statistics -o $@ $<

po/%.po: po/$(DOMAIN).pot
	msgmerge -U po/$*.po po/$(DOMAIN).pot

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po po/$(DOMAIN).pot; \
	    rm -f $$lang.po~; \
	done

update-pot:
	go get -v -x github.com/snapcore/snapd/i18n/xgettext-go/
	xgettext-go -o po/$(DOMAIN).pot --add-comments-tag=TRANSLATORS: --sort-output --package-name=$(DOMAIN) --msgid-bugs-address=lxc-devel@lists.linuxcontainers.org --keyword=i18n.G --keyword-plural=i18n.NG *.go shared/*.go lxc/*.go lxd/*.go


build-mo: $(MOFILES)

static-analysis:
	/bin/bash -x -c ". test/static_analysis.sh; static_analysis"

tags: *.go lxd/*.go shared/*.go lxc/*.go
	find . | grep \.go | grep -v git | grep -v .swp | grep -v vagrant | xargs gotags > tags

=== src/github.com/vmware/govmomi/Makefile ===
.PHONY: test

all: check test

check: goimports govet

vendor:
	go get golang.org/x/tools/cmd/goimports
	go get github.com/davecgh/go-spew/spew
	go get golang.org/x/net/context

goimports: vendor
	@echo checking go imports...
	@! goimports -d . 2>&1 | egrep -v '^$$'

govet:
	@echo checking go vet...
	@go tool vet -structtags=false -methods=false .

test: vendor
	go test -v $(TEST_OPTS) ./...

install: vendor
	go install github.com/vmware/govmomi/govc

=== src/gopkg.in/juju/jujusvg.v2/Makefile ===
ifndef GOPATH
	$(warning You need to set up a GOPATH.)
endif

PROJECT := gopkg.in/juju/jujusvg.v2
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

help:
	@echo "Available targets:"
	@echo "  deps - fetch all dependencies"
	@echo "  build - build the project"
	@echo "  check - run tests"
	@echo "  install - install the library in your GOPATH"
	@echo "  clean - clean the project"

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

deps:
	go get -v -t $(PROJECT)/...

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else

deps:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)
	
build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

.PHONY: help deps build check install clean

=== src/github.com/golang/protobuf/protoc-gen-go/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include $(GOROOT)/src/Make.cmd

test:
	cd testdata && make test

=== src/github.com/lxc/lxd/fuidshift/Makefile ===
# we let go build figure out dependency changes
.PHONY: fuidmap
lxc:
	go build

clean:
	-rm -f fuidshift

=== src/github.com/golang/protobuf/protoc-gen-go/descriptor/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but descriptor.proto is in https://github.com/google/protobuf/
# at src/google/protobuf/descriptor.proto
regenerate:
	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
	cd $(HOME)/src/protobuf/src && \
	protoc --go_out=. ./google/protobuf/descriptor.proto && \
	sed -i 's,^package google_protobuf,package descriptor,' google/protobuf/descriptor.pb.go && \
	cp ./google/protobuf/descriptor.pb.go $(GOPATH)/src/github.com/golang/protobuf/protoc-gen-go/descriptor/descriptor.pb.go

restore:
	cp descriptor.pb.golden descriptor.pb.go

preserve:
	cp descriptor.pb.go descriptor.pb.golden

=== src/github.com/golang/protobuf/protoc-gen-go/generator/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include $(GOROOT)/src/Make.inc

TARG=github.com/golang/protobuf/compiler/generator
GOFILES=\
	generator.go\

DEPS=../descriptor ../plugin ../../proto

include $(GOROOT)/src/Make.pkg

=== debian/changelog ===
juju-core (2.0.2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 17:28:34 -0700

juju-core (2.0.2-0ubuntu0.16.10.1) yakkety; urgency=medium

  * Backport upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 15 Dec 2016 17:19:57 +0000

juju-core (2.0.0-0ubuntu0.16.10.3) yakkety; urgency=medium

  * debian/control: Fix the build failure due to dependency issues.
    (LP: #1617440)
    - Nope, we really don't want a Build-Depends on golang-github-coreos-go-
      systemd-dev.
    - Drop golang-go.crypto from Build-Depends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 11:51:54 -0600

juju-core (2.0.0-0ubuntu0.16.10.2) yakkety; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 03 Nov 2016 11:00:50 -0600

juju-core (2.0.0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 20 Oct 2016 15:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                golang-go-dbus-dev,
                golang-gopkg-tomb.v2-dev,
                golang-websocket-dev,
+               golang-golang-x-net-dev,
                golang-yaml.v2-dev,
                lsb-release,
                python

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DH_GOPKG:=github.com/juju/juju
export GOPATH:=$(CURDIR)/_build
export PATH:=$(CURDIR)/_build/bin:$(PATH)

PKGDIR:=debian/juju
VERSION:=$(shell sed -n 's/^const version = "\(2\.[0-9]\+\)[\.-].*"/\1/p' $(CURDIR)/src/github.com/juju/juju/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

ifeq ($(shell lsb_release -cs | sed -r 's/saucy|precise/old/'),old)
	DB_DEP = -Vdist:Depends="mongodb-server (>= 2.4.6)"
else
	DB_DEP = -Vdist:Depends="juju-mongodb (>= 2.4.6)"
endif

%:
	dh $@ --with=golang --buildsystem=golang --builddirectory=_build

COMMON_FLAGS:= -x -v
golang_archs:= amd64 i386 armhf s390x ppc64el arm64
ifeq (,$(filter $(DEB_HOST_ARCH), $(golang_archs)))
# NOTE(james-page) statically link libgo for the jujud binary for gccgo
# this allows the binary to be re-cut for upstream tool distribution and
# mimics the behaviour of the golang gc compiler.
JUJUD_FLAGS:= -gccgoflags -static-libgo
endif

# NOTE: ensure /usr/share/gocode is use in preference to any
#       embedded source for dependencies.
override_dh_auto_configure:
	./debian/helpers/setup-build-directory.py

override_dh_auto_build:
	dh_auto_build -- $(COMMON_FLAGS)
	rm _build/bin/jujud
	# re-link jujud with specific options
	go install $(COMMON_FLAGS) $(JUJUD_FLAGS) github.com/juju/juju/cmd/jujud

# Don't run the tests -- the juju unit tests are too heavyweight to run during
# package build.
override_dh_auto_test:
	:

override_dh_auto_install:
	echo '#!/bin/sh\nexport PATH=/usr/lib/juju-$(VERSION)/bin:"$$PATH"\nexec juju "$$@"' > _build/bin/juju-$(VERSION)
	chmod 755 _build/bin/juju-$(VERSION)
	mkdir -p _build/home
	HOME=_build/home $(CURDIR)/src/github.com/juju/juju/scripts/generate-docs.py man -o _build/juju.1
	dh_install _build/bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install _build/bin/juju-metadata usr/lib/juju-$(VERSION)/bin
	dh_install _build/bin/juju-upgrade-mongo usr/lib/juju-$(VERSION)/bin
	dh_install _build/bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install _build/bin/juju-$(VERSION) usr/bin
	dh_install _build/juju.1 usr/lib/juju-$(VERSION)/man/man1
	# Install version switching bash completion script under 'juju' so first load picks
	# it up, and we have already made sure we remove earlier clashing 1.X packages.
	cp src/github.com/juju/juju/etc/bash_completion.d/juju-version _build/juju
	dh_install _build/juju src/github.com/juju/juju/etc/bash_completion.d/juju-2.0 \
	           usr/share/bash-completion/completions
	dh_install debian/juju-2.0.conf usr/lib/sysctl.d

override_dh_link:
	dh_link -pjuju-2.0 usr/bin/juju-$(VERSION) usr/bin/juju
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju.1.gz
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju-2.0.1.gz
	dh_link

override_dh_compress:
	dh_compress usr/lib/juju-$(VERSION)/man/man1/juju.1
	dh_compress

override_dh_auto_clean:
	rm -rf _build
	find . -name "*.pyc" -delete || :
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)

## juju-core 2.2.6

=== src/github.com/juju/juju/Makefile ===
--- 
+++ 
@@ -9,23 +9,19 @@
 PROJECT := github.com/juju/juju
 PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))
 
-ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf|aarch64|ppc64le|s390x).*/golang/'), golang)
-	GO_C := golang-1.[6-9]
-	INSTALL_FLAGS :=
+# Allow the tests to take longer on arm platforms.
+ifeq ($(shell uname -p | sed -r 's/.*(armel|armhf|aarch64).*/golang/'), golang)
+	TEST_TIMEOUT := 2400s
 else
-	GO_C := gccgo-4.9  gccgo-go
-	INSTALL_FLAGS := -gccgoflags=-static-libgo
+	TEST_TIMEOUT := 1500s
 endif
 
 define DEPENDENCIES
   ca-certificates
   bzip2
-  bzr
   distro-info-data
-  git-core
-  mercurial
+  git
   zip
-  $(GO_C)
 endef
 
 default: build
@@ -49,10 +45,10 @@
 	go build $(PROJECT)/...
 
 check: godeps
-	go test -test.timeout=1200s $(PROJECT)/...
+	go test -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
 
 install: godeps
-	go install $(INSTALL_FLAGS) -v $(PROJECT)/...
+	go install -v $(PROJECT)/...
 
 clean:
 	go clean $(PROJECT)/...
@@ -82,24 +78,29 @@
 simplify:
 	gofmt -w -l -s .
 
+rebuild-dependencies.tsv: godeps
+	# godeps invoked this way includes 'github.com/juju/juju' as part of
+	# the content, which we want to filter out.
+	# '-t' is not needed on newer versions of godeps, but is still supported.
+	godeps -t ./... | grep -v "^github.com/juju/juju\s" > dependencies.tsv
+
 # Install packages required to develop Juju and run tests. The stable
 # PPA includes the required mongodb-server binaries.
 install-dependencies:
-ifeq ($(shell lsb_release -cs|sed -r 's/precise|wily/old/'),old)
-	@echo Adding juju PPAs for golang and mongodb-server
-	@sudo apt-add-repository --yes ppa:juju/golang
+	@echo Installing go-1.8 snap
+	@sudo snap install go --channel=1.8/stable --classic
+	@echo Adding juju PPA for mongodb
 	@sudo apt-add-repository --yes ppa:juju/stable
 	@sudo apt-get update
-endif
 	@echo Installing dependencies
-	@sudo apt-get --yes install --no-install-recommends \
+	@sudo apt-get --yes install  \
 	$(strip $(DEPENDENCIES)) \
 	$(shell apt-cache madison juju-mongodb3.2 juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
 
 # Install bash_completion
 install-etc:
 	@echo Installing bash completion
-	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-2.0 /usr/share/bash-completion/completions
+	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju /usr/share/bash-completion/completions
 	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-version /usr/share/bash-completion/completions
 
 setup-lxd:
@@ -119,4 +120,5 @@
 .PHONY: build check install
 .PHONY: clean format simplify
 .PHONY: install-dependencies
+.PHONY: rebuild-dependencies.tsv
 .PHONY: check-deps

=== src/github.com/juju/juju/acceptancetests/Makefile ===
p=test*.py
py3="assess_model_change_watcher.py"
test:
	TMPDIR=/tmp python -m unittest discover -vv . -p "$(p)"
	TMPDIR=/tmp python3 -m unittest discover -vv jujupy -t . -p "$(p)"
lint:
	python3 -m flake8 --builtins xrange,basestring $(py3)
	flake8 $$(find -name '*.py') --builtins xrange,basestring --exclude $(py3)
cover:
	python -m coverage run --source="./" --omit "./tests/*" -m unittest discover -vv ./tests
	python -m coverage report
clean:
	find . -name '*.pyc' -delete

apt-update:
	sudo apt-get -qq update
juju-ci-tools.common_0.1.4-0_all.deb: apt-update
	find . -name '*.deb' -delete
	sudo apt-get install -y equivs
	equivs-build juju-ci-tools-common
install-deps: juju-ci-tools.common_0.1.4-0_all.deb apt-update
	sudo dpkg -i juju-ci-tools.common_0.1.4-0_all.deb || true
	sudo apt-get install -y -f
	./pipdeps.py -v install
name=NAMEHERE
assess_file=assess_$(name).py
test_assess_file=tests/test_assess_$(name).py
new-assess:
	install -m 755 template_assess.py.tmpl $(assess_file)
	install -m 644 template_test.py.tmpl $(test_assess_file)
	sed -i -e "s/TEMPLATE/$(name)/g" $(assess_file) $(test_assess_file)
.PHONY: lint test cover clean new-assess apt-update install-deps

## juju-core 2.3.1

=== src/github.com/juju/juju/Makefile ===
--- 
+++ 
@@ -14,6 +14,13 @@
 	TEST_TIMEOUT := 2400s
 else
 	TEST_TIMEOUT := 1500s
+endif
+
+# Enable verbose testing for reporting.
+ifeq ($(VERBOSE_CHECK), 1)
+	CHECK_ARGS = -v
+else
+	CHECK_ARGS =
 endif
 
 define DEPENDENCIES
@@ -45,7 +52,7 @@
 	go build $(PROJECT)/...
 
 check: godeps
-	go test -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
+	go test $(CHECK_ARGS) -test.timeout=$(TEST_TIMEOUT) $(PROJECT)/...
 
 install: godeps
 	go install -v $(PROJECT)/...
@@ -87,8 +94,8 @@
 # Install packages required to develop Juju and run tests. The stable
 # PPA includes the required mongodb-server binaries.
 install-dependencies:
-	@echo Installing go-1.8 snap
-	@sudo snap install go --channel=1.8/stable --classic
+	@echo Installing go-1.9 snap
+	@sudo snap install go --channel=1.9/stable --classic
 	@echo Adding juju PPA for mongodb
 	@sudo apt-add-repository --yes ppa:juju/stable
 	@sudo apt-get update

=== src/github.com/juju/juju/acceptancetests/Makefile ===
--- 
+++ 
@@ -24,9 +24,7 @@
 	./pipdeps.py -v install
 name=NAMEHERE
 assess_file=assess_$(name).py
-test_assess_file=tests/test_assess_$(name).py
 new-assess:
 	install -m 755 template_assess.py.tmpl $(assess_file)
-	install -m 644 template_test.py.tmpl $(test_assess_file)
 	sed -i -e "s/TEMPLATE/$(name)/g" $(assess_file) $(test_assess_file)
 .PHONY: lint test cover clean new-assess apt-update install-deps

=== src/github.com/juju/juju/acceptancetests/requirements.txt ===
apache-libcloud>=1.3.0
azure==2.0.0rc3
azure-batch==0.30.0rc3
azure-common==1.1.3
azure-graphrbac==0.30.0rc3
azure-mgmt==0.30.0rc3
azure-mgmt-authorization==0.30.0rc3
azure-mgmt-batch==0.30.0rc3
azure-mgmt-cdn==0.30.0rc3
azure-mgmt-compute==0.30.0rc3
azure-mgmt-logic==0.30.0rc3
azure-mgmt-network==0.30.0rc3
azure-mgmt-notificationhubs==0.30.0rc3
azure-mgmt-nspkg==1.0.0
azure-mgmt-redis==0.30.0rc3
azure-mgmt-resource==0.30.0rc3
azure-mgmt-scheduler==0.30.0rc3
azure-mgmt-storage==0.30.0rc3
azure-mgmt-web==0.30.0rc3
azure-nspkg==1.0.0
azure-servicebus==0.20.1
azure-servicemanagement-legacy==0.20.3
azure-storage>=0.31.0
isodate>=0.5.1
msgpack-python>=0.4.6
msrestazure>=0.3.0
pywinrm==0.0.3
pexpect>=2.4
xmltodict>=0.9.2

=== debian/changelog ===
juju-core (2.3.1-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Wed, 13 Dec 2017 17:38:04 -0500

juju-core (2.2.6-0ubuntu0.17.04.3) zesty; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 16 Nov 2017 13:51:25 -0500

juju-core (2.2.6-0ubuntu0.17.04.2) zesty; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 09 Nov 2017 11:21:57 -0500

juju-core (2.2.6-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 26 Oct 2017 14:43:03 -0400

juju-core (2.2.4-0ubuntu0.17.04.2) zesty; urgency=medium

  * Fix installation of bash completion scripts.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Oct 2017 10:16:44 +1300

juju-core (2.2.4-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6. (Note that
    golang-go is still a build dependency as it is required to build the
    embedded go 1.8.3).
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 29 Sep 2017 10:01:07 -0400

juju-core (2.0.2-0ubuntu2.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 17:32:58 -0700

juju-core (2.0.2-0ubuntu2) zesty; urgency=medium

  * Update debian/tests/setup-lxd.sh to support LXD storage API.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 17 Feb 2017 00:17:30 -0500

juju-core (2.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- Curtis C. Hovey <curtis.hovey@canonical.com>  Thu, 15 Dec 2016 04:21:04 +0000

juju-core (2.0.0-0ubuntu2) zesty; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 31 Oct 2016 13:41:40 -0400

juju-core (2.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 20 Oct 2016 15:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,10 @@
 Build-Depends: debhelper (>= 9),
                dh-golang,
                distro-info,
-               golang-check.v1-dev,
                golang-github-bmizerany-pat-dev,
                golang-go (>= 2:1.6),
                golang-go-dbus-dev,
                golang-gopkg-tomb.v2-dev,
-               golang-websocket-dev,
-               golang-golang-x-net-dev,
-               golang-yaml.v2-dev,
                lsb-release,
                python
 Standards-Version: 3.9.7

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

GODIR=go

export DH_GOPKG:=github.com/juju/juju
export BUILDPATH := obj-$(DEB_BUILD_GNU_TYPE)
export GOPATH := $(CURDIR)/$(BUILDPATH)
export PATH:=$(CURDIR)/$(GODIR)/bin:$(GOPATH)/bin:$(PATH)

PKGDIR:=debian/juju
VERSION:=$(shell sed -n 's/^const version = "\(2\.[0-9]\+\)[\.-].*"/\1/p' $(CURDIR)/src/github.com/juju/juju/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

DB_DEP = -Vdist:Depends="juju-mongodb (>= 2.4.6)"

%:
	dh $@ --with=golang --buildsystem=golang

COMMON_FLAGS:= -v
supported_archs:= amd64 s390x ppc64el arm64

build_go:
	cd $(GODIR)/src && \
	GOROOT_BOOTSTRAP=$$(/usr/bin/go env GOROOT) ./make.bash

# Ugly workaround for bundled dependencies
# This is inspiried by LXD's packaging
override_dh_auto_configure: build_go
	dh_auto_configure

	# dh-golang's configure has copied the source tree into GOPATH. But
	# because juju gets some dependencies from the archive and some from
	# the copies bundled in dist, we have to unpick a bunch of what it has
	# done and set it up again.

	# Remove the extra copy of src dh-golang has copied onto GOPATH (or
	# when dh-golang tries to run go install github.com/juju/juju/... things
	# get very confused).

	# Move the juju source aside while we do this.
	mv ${GOPATH}/src/github.com/juju/juju/src/github.com/juju/juju ${GOPATH}/juju

	# Clean GOPATH.
	rm -Rf ${GOPATH}/src

	# copy dependencies from GOPATH.
	cp -R src ${GOPATH}

	# But not the symlink for juju.
	rm -rf ${GOPATH}/src/github.com/juju/juju

	# Link depedencies from where the distro package
	# has installed it, as appropriate.
	# Packaged dependencies
	debian/helpers/link-from-installed github.com/bmizerany/pat
	debian/helpers/link-from-installed launchpad.net/go-dbus
	debian/helpers/link-from-installed gopkg.in/tomb.v2

	# And put the juju source back again.
	mkdir -p ${GOPATH}/src/github.com/juju/
	mv ${GOPATH}/juju/ ${GOPATH}/src/github.com/juju/juju/

override_dh_auto_build:
	dh_auto_build -- $(COMMON_FLAGS)

# Don't run the tests -- the juju unit tests are too heavyweight to run during
# package build.
override_dh_auto_test:
	:

override_dh_auto_install:
	echo '#!/bin/sh\nexport PATH=/usr/lib/juju-$(VERSION)/bin:"$$PATH"\nexec juju "$$@"' > ${BUILDPATH}/bin/juju-$(VERSION)
	chmod 755 ${BUILDPATH}/bin/juju-$(VERSION)
	mkdir -p ${BUILDPATH}/home
	HOME=${BUILDPATH}/home $(CURDIR)/src/github.com/juju/juju/scripts/generate-docs.py man -o ${BUILDPATH}/juju.1
	dh_install ${BUILDPATH}/bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install ${BUILDPATH}/bin/juju-metadata usr/lib/juju-$(VERSION)/bin
	dh_install ${BUILDPATH}/bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install ${BUILDPATH}/bin/juju-$(VERSION) usr/bin
	dh_install ${BUILDPATH}/juju.1 usr/lib/juju-$(VERSION)/man/man1
	# Install bash completion scripts
	dh_install src/github.com/juju/juju/etc/bash_completion.d/juju-version \
	           usr/share/bash-completion/completions
	dh_install src/github.com/juju/juju/etc/bash_completion.d/juju \
	           usr/share/bash-completion/completions
	dh_install debian/juju-2.conf usr/lib/sysctl.d

override_dh_link:
	dh_link -pjuju-2.0 usr/bin/juju-$(VERSION) usr/bin/juju
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju.1.gz
	dh_link -pjuju-2.0 usr/lib/juju-$(VERSION)/man/man1/juju.1.gz usr/share/man/man1/juju-$(VERSION).1.gz
	dh_link

override_dh_compress:
	dh_compress usr/lib/juju-$(VERSION)/man/man1/juju.1
	dh_compress

override_dh_auto_clean:
	find . -name "*.pyc" -delete || :
	dh_auto_clean

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)
